import { h } from "@stencil/core";
export class DgaHeaderSubMenuColumn {
    constructor() {
        this.label = '';
    }
    render() {
        return (h("div", { key: '6683f2dfddd613d90e87463f994299c6cd0c9448', class: "sub-menu__column" }, this.label && h("h2", { key: '6e3cf69a9ebdad9267abb19ecf94cd5de65addc9', class: "sub-menu__column__label" }, this.label), h("slot", { key: '80d39f1b30fcae2eb306fa00772bf41f4f914aa9' })));
    }
    static get is() { return "dga-header-sub-menu-column"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["dga-header-sub-menu-column.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["dga-header-sub-menu-column.css"]
        };
    }
    static get properties() {
        return {
            "label": {
                "type": "string",
                "attribute": "label",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            }
        };
    }
}
